Bug 277889 - crash trying to connect to wpa.enterprise eduroam
Summary: crash trying to connect to wpa.enterprise eduroam
Status: RESOLVED FIXED
Alias: None
Product: Network Management
Classification: Unclassified
Component: Control Module (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Will Stephenson
URL:
Keywords:
: 278586 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-07-16 12:58 UTC by Alin M Elena
Modified: 2011-08-04 12:41 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: nm09


Attachments
secrets dialog (325.69 KB, image/png)
2011-07-16 14:47 UTC, Alin M Elena
Details
main window plasmoid (226.62 KB, image/png)
2011-07-16 15:23 UTC, Alin M Elena
Details
Reinit Solid's backend when NM restarts (2.51 KB, patch)
2011-07-16 21:36 UTC, Lamarque V. Souza
Details
New crash information added by DrKonqi (5.15 KB, text/plain)
2011-07-27 01:43 UTC, Balcaen John
Details
wpa2 screenshot (291.29 KB, image/png)
2011-08-03 20:53 UTC, Alin M Elena
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alin M Elena 2011-07-16 12:58:22 UTC
Application: kcmshell4 ()
KDE Platform Version: 4.6.95 (4.7 RC2) "release 1"
Qt Version: 4.7.3
Operating System: Linux 3.0.0-rc6-2-desktop x86_64
Distribution: "openSUSE 12.1 Milestone 3 (x86_64)"

-- Information about the crash:
when I try to connect to wpa enterprised eduroam I get a nice crash... with that backtrace from kde... 
here is the log from /var/logNetworkManager

Jul 16 13:54:54 abbaton NetworkManager[5769]: <info> Activation (eth1) Stage 2 of 5 (Device Configure) complete.
Jul 16 13:54:54 abbaton NetworkManager[5769]: <info> Config: set interface ap_scan to 1
Jul 16 13:54:54 abbaton NetworkManager[5769]: <warn> caught signal 11. Generating backtrace...
Jul 16 13:54:54 abbaton NetworkManager: ******************* START **********************************
Jul 16 13:54:54 abbaton NetworkManager: [Thread debugging using libthread_db enabled]
Jul 16 13:54:54 abbaton NetworkManager: [New Thread 0x7f1d53168700 (LWP 5875)]
Jul 16 13:54:54 abbaton NetworkManager: [New Thread 0x7f1d53969700 (LWP 5773)]
Jul 16 13:54:55 abbaton NetworkManager: 0x00007f1d58e357dd in waitpid () from /lib64/libpthread.so.0
Jul 16 13:54:55 abbaton NetworkManager: #0  0x00007f1d58e357dd in waitpid () from /lib64/libpthread.so.0
Jul 16 13:54:55 abbaton NetworkManager: #1  0x000000000045fe73 in crashlogger_get_backtrace () at nm-logging.c:306
Jul 16 13:54:55 abbaton NetworkManager: #2  nm_logging_backtrace () at nm-logging.c:335
Jul 16 13:54:55 abbaton NetworkManager: #3  0x00000000004476c1 in nm_signal_handler (signo=<optimized out>) at main.c:162
Jul 16 13:54:55 abbaton NetworkManager: #4  nm_signal_handler (signo=<optimized out>) at main.c:147
Jul 16 13:54:55 abbaton NetworkManager: #5  <signal handler called>
Jul 16 13:54:55 abbaton NetworkManager: #6  0x00007f1d58c1271e in dbus_g_proxy_begin_call () from /usr/lib64/libdbus-glib-1.so.2
Jul 16 13:54:55 abbaton NetworkManager: #7  0x00000000004785aa in add_network_cb (proxy=<optimized out>, call_id=<optimized out>, user_data=0x754520) at nm-supplicant-interface.c:793
Jul 16 13:54:55 abbaton NetworkManager: #8  0x00007f1d589c7a9a in ?? () from /lib64/libdbus-1.so.3
Jul 16 13:54:55 abbaton NetworkManager: #9  0x00007f1d589cad2a in dbus_connection_dispatch () from /lib64/libdbus-1.so.3
Jul 16 13:54:55 abbaton NetworkManager: #10 0x00007f1d58c0a625 in ?? () from /usr/lib64/libdbus-glib-1.so.2
Jul 16 13:54:55 abbaton NetworkManager: #11 0x00007f1d576f98ad in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
Jul 16 13:54:55 abbaton NetworkManager: #12 0x00007f1d576fa0a8 in ?? () from /usr/lib64/libglib-2.0.so.0
Jul 16 13:54:55 abbaton NetworkManager: #13 0x00007f1d576fa5e2 in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
Jul 16 13:54:55 abbaton NetworkManager: #14 0x000000000042294c in main (argc=1, argv=0x7fffc5b4e118) at main.c:777
Jul 16 13:54:55 abbaton NetworkManager: 
Jul 16 13:54:55 abbaton NetworkManager: Thread 3 (Thread 0x7f1d53969700 (LWP 5773)):
Jul 16 13:54:55 abbaton NetworkManager: #0  0x00007f1d56f9d813 in poll () from /lib64/libc.so.6
Jul 16 13:54:55 abbaton NetworkManager: No symbol table info available.
Jul 16 13:54:55 abbaton NetworkManager: #1  0x00007f1d576f9db8 in ?? () from /usr/lib64/libglib-2.0.so.0
Jul 16 13:54:55 abbaton NetworkManager: No symbol table info available.
Jul 16 13:54:55 abbaton NetworkManager: #2  0x00007f1d576fa5e2 in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
Jul 16 13:54:55 abbaton NetworkManager: No symbol table info available.
Jul 16 13:54:55 abbaton NetworkManager: #3  0x00007f1d580c3be6 in ?? () from /usr/lib64/libgio-2.0.so.0
Jul 16 13:54:55 abbaton NetworkManager: No symbol table info available.
Jul 16 13:54:55 abbaton NetworkManager: #4  0x00007f1d5771f0a6 in ?? () from /usr/lib64/libglib-2.0.so.0
Jul 16 13:54:55 abbaton NetworkManager: No symbol table info available.
Jul 16 13:54:55 abbaton NetworkManager: #5  0x00007f1d58e2de55 in start_thread () from /lib64/libpthread.so.0
Jul 16 13:54:55 abbaton NetworkManager: No symbol table info available.
Jul 16 13:54:55 abbaton NetworkManager: #6  0x00007f1d56fa686d in clone () from /lib64/libc.so.6
Jul 16 13:54:55 abbaton NetworkManager: No symbol table info available.
Jul 16 13:54:55 abbaton NetworkManager: 
Jul 16 13:54:55 abbaton NetworkManager: Thread 2 (Thread 0x7f1d53168700 (LWP 5875)):
Jul 16 13:54:55 abbaton NetworkManager: #0  0x00007f1d58e34ced in read () from /lib64/libpthread.so.0
Jul 16 13:54:55 abbaton NetworkManager: No symbol table info available.
Jul 16 13:54:55 abbaton NetworkManager: #1  0x00007f1d576f5743 in ?? () from /usr/lib64/libglib-2.0.so.0
Jul 16 13:54:55 abbaton NetworkManager: No symbol table info available.
Jul 16 13:54:55 abbaton NetworkManager: #2  0x00007f1d5771f0a6 in ?? () from /usr/lib64/libglib-2.0.so.0
Jul 16 13:54:55 abbaton NetworkManager: No symbol table info available.
Jul 16 13:54:55 abbaton NetworkManager: #3  0x00007f1d58e2de55 in start_thread () from /lib64/libpthread.so.0
Jul 16 13:54:55 abbaton NetworkManager: No symbol table info available.
Jul 16 13:54:55 abbaton NetworkManager: #4  0x00007f1d56fa686d in clone () from /lib64/libc.so.6
Jul 16 13:54:55 abbaton NetworkManager: No symbol table info available.
Jul 16 13:54:55 abbaton NetworkManager: 
Jul 16 13:54:55 abbaton NetworkManager: Thread 1 (Thread 0x7f1d594817e0 (LWP 5769)):
Jul 16 13:54:55 abbaton NetworkManager: #0  0x00007f1d58e357dd in waitpid () from /lib64/libpthread.so.0
Jul 16 13:54:55 abbaton NetworkManager: No symbol table info available.
Jul 16 13:54:55 abbaton NetworkManager: #1  0x000000000045fe73 in crashlogger_get_backtrace () at nm-logging.c:306
Jul 16 13:54:55 abbaton NetworkManager:         estatus = <optimized out>
Jul 16 13:54:55 abbaton NetworkManager:         pid = <optimized out>
Jul 16 13:54:55 abbaton NetworkManager: #2  nm_logging_backtrace () at nm-logging.c:335
Jul 16 13:54:55 abbaton NetworkManager: 
Jul 16 13:54:55 abbaton NetworkManager: #3  0x00000000004476c1 in nm_signal_handler (signo=<optimized out>) at main.c:162
Jul 16 13:54:55 abbaton NetworkManager: 
Jul 16 13:54:55 abbaton NetworkManager: 
Jul 16 13:54:55 abbaton NetworkManager: #4  nm_signal_handler (signo=<optimized out>) at main.c:147
Jul 16 13:54:55 abbaton NetworkManager: 
Jul 16 13:54:55 abbaton NetworkManager: 
Jul 16 13:54:55 abbaton NetworkManager: #5  <signal handler called>
Jul 16 13:54:55 abbaton NetworkManager: No symbol table info available.
Jul 16 13:54:55 abbaton NetworkManager: #6  0x00007f1d58c1271e in dbus_g_proxy_begin_call () from /usr/lib64/libdbus-glib-1.so.2
Jul 16 13:54:55 abbaton NetworkManager: No symbol table info available.
Jul 16 13:54:55 abbaton NetworkManager: #7  0x00000000004785aa in add_network_cb (proxy=<optimized out>, call_id=<optimized out>, user_data=0x754520) at nm-supplicant-interface.c:793
Jul 16 13:54:55 abbaton NetworkManager:         info = 0x754520
Jul 16 13:54:55 abbaton NetworkManager:         priv = 0x71e310
Jul 16 13:54:55 abbaton NetworkManager:         err = 0x0
Jul 16 13:54:55 abbaton NetworkManager: Traceback (most recent call last):
Jul 16 13:54:55 abbaton NetworkManager:   File "/usr/share/glib-2.0/gdb/glib.py", line 123, in children
Jul 16 13:54:55 abbaton NetworkManager:     return self._iterator(self.val, self.keys_are_strings)
Jul 16 13:54:55 abbaton NetworkManager:   File "/usr/share/glib-2.0/gdb/glib.py", line 79, in __init__
Jul 16 13:54:55 abbaton NetworkManager:     self.array = ht["nodes"]
Jul 16 13:54:55 abbaton NetworkManager: rror: There is no member named nodes.
Jul 16 13:54:55 abbaton NetworkManager: 
Jul 16 13:54:55 abbaton NetworkManager: 
Jul 16 13:54:55 abbaton NetworkManager:         name = 0x753f40
Jul 16 13:54:55 abbaton NetworkManager:         data = 0x74c200
Jul 16 13:54:55 abbaton NetworkManager:         call = <optimized out>
Jul 16 13:54:55 abbaton NetworkManager:         blob_info = 0x781a30
Jul 16 13:54:55 abbaton NetworkManager: 
Jul 16 13:54:55 abbaton NetworkManager: #8  0x00007f1d589c7a9a in ?? () from /lib64/libdbus-1.so.3
Jul 16 13:54:55 abbaton NetworkManager: No symbol table info available.
Jul 16 13:54:55 abbaton NetworkManager: #9  0x00007f1d589cad2a in dbus_connection_dispatch () from /lib64/libdbus-1.so.3
Jul 16 13:54:55 abbaton NetworkManager: No symbol table info available.
Jul 16 13:54:55 abbaton NetworkManager: bdbus-glib-1.so.2
Jul 16 13:54:55 abbaton NetworkManager: No symbol table info available.
Jul 16 13:54:55 abbaton NetworkManager: #11 0x00007f1d576f98ad in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
Jul 16 13:54:55 abbaton NetworkManager: No symbol table info available.
Jul 16 13:54:55 abbaton NetworkManager: #12 0x00007f1d576fa0a8 in ?? () from /usr/lib64/libglib-2.0.so.0
Jul 16 13:54:55 abbaton NetworkManager: vailable.
Jul 16 13:54:55 abbaton NetworkManager: #13 0x00007f1d576fa5e2 in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
Jul 16 13:54:55 abbaton NetworkManager: No symbol table info available.
Jul 16 13:54:55 abbaton NetworkManager: #14 0x000000000042294c in main (argc=1, argv=0x7fffc5b4e118) at main.c:777
Jul 16 13:54:55 abbaton NetworkManager:         opt_ctx = <optimized out>
Jul 16 13:54:55 abbaton NetworkManager:         become_daemon = 1
Jul 16 13:54:55 abbaton NetworkManager:         g_fatal_warnings = 0
Jul 16 13:54:55 abbaton NetworkManager:         pidfile = 0x6dba30 "/var/run/NetworkManager.pid"
Jul 16 13:54:55 abbaton NetworkManager:         state_file = 0x6dba60 "/var/lib/NetworkManager/NetworkManager.state"
Jul 16 13:54:55 abbaton NetworkManager:         dhcp = 0x0
Jul 16 13:54:55 abbaton NetworkManager:         config = 0x6dc270 "/etc/NetworkManager/nm-system-settings.conf"
Jul 16 13:54:55 abbaton NetworkManager:        plugins = 0x6e3080 "ifcfg-suse,keyfile"
Jul 16 13:54:55 abbaton NetworkManager:         conf_plugins = 0x6e3220 "\002"
Jul 16 13:54:55 abbaton NetworkManager:         log_level = 0x0
Jul 16 13:54:55 abbaton NetworkManager:         log_domains = 0x0
Jul 16 13:54:55 abbaton NetworkManager:         dns = 0x0
Jul 16 13:54:55 abbaton NetworkManager:         wifi_enabled = <optimized out>
Jul 16 13:54:55 abbaton NetworkManager:         net_enabled = <optimized out>
Jul 16 13:54:55 abbaton NetworkManager: optimized out>
Jul 16 13:54:55 abbaton NetworkManager:         wimax_enabled = <optimized out>
Jul 16 13:54:55 abbaton NetworkManager:         success = 1
Jul 16 13:54:55 abbaton NetworkManager: 
Jul 16 13:54:55 abbaton NetworkManager:         policy = 0x74eac0
Jul 16 13:54:55 abbaton NetworkManager:         vpn_manager = 0x6f2800
Jul 16 13:54:55 abbaton NetworkManager:         dns_mgr = 0x6ff030
Jul 16 13:54:55 abbaton NetworkManager:         dbus_mgr = 0x6e20a0
Jul 16 13:54:55 abbaton NetworkManager:         sup_mgr = 0x715400
Jul 16 13:54:55 abbaton NetworkManager:         dhcp_mgr = 0x716540
Jul 16 13:54:55 abbaton NetworkManager:         settings = 0x6f0f30
Jul 16 13:54:55 abbaton NetworkManager:         error = 0x0
Jul 16 13:54:55 abbaton NetworkManager: 
Jul 16 13:54:55 abbaton NetworkManager:         cfg_log_level = 0x0
Jul 16 13:54:55 abbaton NetworkManager:         cfg_log_domains = 0x0
Jul 16 13:54:55 abbaton NetworkManager: 
Jul 16 13:54:55 abbaton NetworkManager: 
Jul 16 13:54:55 abbaton NetworkManager: A debugging session is active.
Jul 16 13:54:55 abbaton NetworkManager: 
Jul 16 13:54:55 abbaton NetworkManager: #011Inferior 1 [process 5769] will be detached.
Jul 16 13:54:55 abbaton NetworkManager: 
Jul 16 13:54:55 abbaton NetworkManager: Quit anyway? (y or n) [answered Y; input not from terminal]
Jul 16 13:54:55 abbaton NetworkManager: ******************* END **********************************

The crash can be reproduced every time.

-- Backtrace:
Application: KDE Control Module (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f4d635ca760 (LWP 6048))]

Thread 2 (Thread 0x7f4d49e78700 (LWP 6053)):
#0  0xffffffffff600177 in ?? ()
#1  0x00007ffff1bff7e7 in ?? ()
#2  0x00007f4d5dcc9d9b in clock_gettime () from /lib64/librt.so.1
#3  0x00007f4d6218bb84 in ?? () from /usr/lib64/libQtCore.so.4
#4  0x00007f4d6224d69d in ?? () from /usr/lib64/libQtCore.so.4
#5  0x00007f4d6224d9d3 in ?? () from /usr/lib64/libQtCore.so.4
#6  0x00007f4d6224c43c in ?? () from /usr/lib64/libQtCore.so.4
#7  0x00007f4d6224c4e5 in ?? () from /usr/lib64/libQtCore.so.4
#8  0x00007f4d5da1ae22 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#9  0x00007f4d5da1bc4d in ?? () from /usr/lib64/libglib-2.0.so.0
#10 0x00007f4d5da1c279 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#11 0x00007f4d6224cef6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#12 0x00007f4d62221452 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#13 0x00007f4d6222164f in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#14 0x00007f4d621390df in QThread::exec() () from /usr/lib64/libQtCore.so.4
#15 0x00007f4d6220451f in ?? () from /usr/lib64/libQtCore.so.4
#16 0x00007f4d6213bb25 in ?? () from /usr/lib64/libQtCore.so.4
#17 0x00007f4d54648bc3 in ?? () from /usr/lib64/libGL.so.1
#18 0x00007f4d61eabe55 in start_thread () from /lib64/libpthread.so.0
#19 0x00007f4d60c5186d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f4d635ca760 (LWP 6048)):
[KCrash Handler]
#6  0x00007f4d4b7bb845 in setText (atext=..., column=2, this=0xa2e670) at /usr/include/QtGui/qtreewidget.h:227
#7  ManageConnectionWidget::activeConnectionsChanged (this=0x929530) at /usr/src/debug/networkmanagement-0.9.2.65git.1310495114/settings/config/manageconnectionwidget.cpp:704
#8  0x00007f4d4b7bc16d in ManageConnectionWidget::restoreConnections (this=0x929530) at /usr/src/debug/networkmanagement-0.9.2.65git.1310495114/settings/config/manageconnectionwidget.cpp:297
#9  0x00007f4d4b7b81ec in ManageConnectionWidget::qt_metacall (this=0x929530, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7ffff1ae6250) at /usr/src/debug/networkmanagement-0.9.2.65git.1310495114/build/settings/config/moc_manageconnectionwidget.cpp:107
#10 0x00007f4d62234eda in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#11 0x00007f4d4b5709b5 in NMDBusSettingsConnectionProvider::onRemoteConnectionUpdated (this=0x9cd980) at /usr/src/debug/networkmanagement-0.9.2.65git.1310495114/backends/NetworkManager/nmdbussettingsconnectionprovider.cpp:194
#12 0x00007f4d4b52eb04 in NMDBusSettingsConnectionProvider::qt_metacall (this=0x9cd980, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7ffff1ae65c0) at /usr/src/debug/networkmanagement-0.9.2.65git.1310495114/build/backends/NetworkManager/moc_nmdbussettingsconnectionprovider.cpp:102
#13 0x00007f4d62234eda in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#14 0x00007f4d4b530bd8 in OrgFreedesktopNetworkManagerSettingsConnectionInterface::qt_metacall (this=0x8c1420, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x7ffff1ae68f0) at /usr/src/debug/networkmanagement-0.9.2.65git.1310495114/build/backends/NetworkManager/moc_nm-settings-connectioninterface.cpp:85
#15 0x00007f4d5efc386b in ?? () from /usr/lib64/libQtDBus.so.4
#16 0x00007f4d5efccdef in ?? () from /usr/lib64/libQtDBus.so.4
#17 0x00007f4d62238a8a in QObject::event(QEvent*) () from /usr/lib64/libQtCore.so.4
#18 0x00007f4d613da9e4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#19 0x00007f4d613df871 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#20 0x00007f4d62fb2966 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#21 0x00007f4d6222224c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#22 0x00007f4d62225628 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib64/libQtCore.so.4
#23 0x00007f4d6224ca33 in ?? () from /usr/lib64/libQtCore.so.4
#24 0x00007f4d5da1b8ad in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#25 0x00007f4d5da1c0a8 in ?? () from /usr/lib64/libglib-2.0.so.0
#26 0x00007f4d5da1c279 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#27 0x00007f4d6224ce8f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#28 0x00007f4d6147d61e in ?? () from /usr/lib64/libQtGui.so.4
#29 0x00007f4d62221452 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#30 0x00007f4d6222164f in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#31 0x00007f4d618892b6 in QDialog::exec() () from /usr/lib64/libQtGui.so.4
#32 0x00007f4d50b002dc in kdemain () from /usr/lib64/libkdeinit4_kcmshell4.so
#33 0x0000000000408837 in _start ()

Reported using DrKonqi
Comment 1 Lamarque V. Souza 2011-07-16 14:31:55 UTC
The Plasma NM crash happened in the connection editor, can you test again closing the connection editor for me to see if the crash in NetworkManager still happen? Unset the auto-connect feature, close the connection editor and click on the connection in the connection list.

Which NetworkManager do you use? I guess it is one of the NM-0.9 snapshots by what I saw in the crashlog.

I am also curious about the "/usr/share/glib-2.0/gdb/glib.py" line in the crashlog. Are you using a Python plugin of some kind?
Comment 2 Alin M Elena 2011-07-16 14:47:25 UTC
Created attachment 61919 [details]
secrets dialog
Comment 3 Alin M Elena 2011-07-16 14:48:05 UTC
Hi,

the trouble is that after rcnetwork restart the plasmoid is dead... I get the x red button... the tooltip says no network interfaces...

but nm-tool lists me correct the state of the network...

I get a funny window after rcnetwork restart... I attached the picture...

here are all the packages installed 
[root@abbaton:/home/alin]: zypper se -is network
Loading repository data...
Reading installed packages...

S | Name                                 | Type    | Version                     | Arch   | Repository                                                  
--+--------------------------------------+---------+-----------------------------+--------+-------------------------------------------------------------
i | NetworkManager                       | package | 0.8.9997-109.3              | x86_64 | KDE SC 4.7 development snapshots (openSUSE_Factory)         
i | NetworkManager-debuginfo             | package | 0.8.9997-109.3              | x86_64 | KDE SC 4.7 development snapshots (openSUSE_Factory)         
i | NetworkManager-glib                  | package | 0.8.9997-109.3              | x86_64 | KDE SC 4.7 development snapshots (openSUSE_Factory)         
i | NetworkManager-glib-debuginfo        | package | 0.8.9997-109.3              | x86_64 | KDE SC 4.7 development snapshots (openSUSE_Factory)         
i | NetworkManager-kde4-lang             | package | 0.9.2.65git.1310495114-22.2 | noarch | Unstable KDE Applications (openSUSE_Factory_KDE_Unstable_SC)
i | NetworkManager-kde4-libs             | package | 0.9.2.65git.1310495114-22.2 | x86_64 | Unstable KDE Applications (openSUSE_Factory_KDE_Unstable_SC)
i | NetworkManager-kde4-libs-debuginfo   | package | 0.9.2.65git.1310495114-22.2 | x86_64 | Unstable KDE Applications (openSUSE_Factory_KDE_Unstable_SC)
i | NetworkManager-lang                  | package | 0.8.9997-109.3              | noarch | KDE SC 4.7 development snapshots (openSUSE_Factory)         
i | NetworkManager-openvpn               | package | 0.8.9997-1.1                | x86_64 | openSUSE-Factory-Oss                                        
i | NetworkManager-openvpn-kde4          | package | 0.9.2.65git.1310495114-22.2 | x86_64 | Unstable KDE Applications (openSUSE_Factory_KDE_Unstable_SC)
i | NetworkManager-openvpn-lang          | package | 0.8.9997-1.1                | noarch | openSUSE-Factory-Oss                                        
i | NetworkManager-pptp                  | package | 0.8.999-3.1                 | x86_64 | openSUSE-Factory-Oss                                        
i | NetworkManager-pptp-kde4             | package | 0.9.2.65git.1310495114-22.2 | x86_64 | Unstable KDE Applications (openSUSE_Factory_KDE_Unstable_SC)
i | NetworkManager-pptp-lang             | package | 0.8.999-3.1                 | noarch | (System Packages)                                           
i | cnetworkmanager                      | package | 0.21.1-11.2                 | noarch | openSUSE-Factory-Oss                                        
i | glib-networking                      | package | 2.29.9-1.2                  | x86_64 | openSUSE-Factory-Oss                                        
i | kdenetwork4-filesharing              | package | 4.6.95-1.2                  | x86_64 | KDE SC 4.7 development snapshots (openSUSE_Factory)         
i | libproxy1-networkmanager             | package | 0.4.7-4.1                   | x86_64 | openSUSE-Factory-Oss                                        
i | plasmoid-networkmanagement           | package | 0.9.2.65git.1310495114-22.2 | x86_64 | Unstable KDE Applications (openSUSE_Factory_KDE_Unstable_SC)
i | plasmoid-networkmanagement-debuginfo | package | 0.9.2.65git.1310495114-22.2 | x86_64 | Unstable KDE Applications (openSUSE_Factory_KDE_Unstable_SC)
i | yast2-network                        | package | 2.20.10-7.1                 | x86_64 | openSUSE-Factory-Oss
Comment 4 Alin M Elena 2011-07-16 14:52:00 UTC
on the python question... 

what do you mean any python plugins? I have cnetworkmanager installed which is python and which does not seem to work for a lot of operations.,..

Alin
Comment 5 Lamarque V. Souza 2011-07-16 15:17:46 UTC
That dialog appears because NetworkManager triggered Plasma NM's secret agent to ask for password. The "none" in the dialog indicates Plasma NM did not detect the encryption type. That red cross as the tray icon is used when the plasmoid does not detect NM presence, but the green tick over it indicates it detected a connection in progress, which is contradictory.

Except for the red cross Plasma NM seems to be working. Does it list access points in the connection list in the main window?

I asked about "/usr/share/glib-2.0/gdb/glib.py" because I do not know why it appeared in NM's crashlog.
Comment 6 Alin M Elena 2011-07-16 15:23:57 UTC
Created attachment 61922 [details]
main window plasmoid
Comment 7 Alin M Elena 2011-07-16 15:26:56 UTC
I attached the plasmoid screenshot inside..


there is nothing in it.
and some more log after doing a rcnetwork restart and trying to connect by editing the connection

Jul 16 16:25:46 abbaton NetworkManager[13572]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:25:46 abbaton NetworkManager[13572]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:25:46 abbaton NetworkManager[13572]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:25:46 abbaton NetworkManager[13572]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:25:46 abbaton NetworkManager[13572]: <info> Activation (eth1) starting connection 'eduroam'
Jul 16 16:25:46 abbaton NetworkManager[13572]: <info> (eth1): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Jul 16 16:25:46 abbaton NetworkManager[13572]: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) scheduled...
Jul 16 16:25:46 abbaton NetworkManager[13572]: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) started...
Jul 16 16:25:46 abbaton NetworkManager[13572]: <info> Activation (eth1) Stage 2 of 5 (Device Configure) scheduled...
Jul 16 16:25:46 abbaton NetworkManager[13572]: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) complete.
Jul 16 16:25:46 abbaton NetworkManager[13572]: <info> Activation (eth1) Stage 2 of 5 (Device Configure) starting...
Jul 16 16:25:46 abbaton NetworkManager[13572]: <info> (eth1): device state change: prepare -> config (reason 'none') [40 50 0]
Jul 16 16:25:46 abbaton NetworkManager[13572]: <info> Activation (eth1/wireless): access point 'eduroam' has security, but secrets are required.
Jul 16 16:25:46 abbaton NetworkManager[13572]: <info> (eth1): device state change: config -> need-auth (reason 'none') [50 60 0]
Jul 16 16:25:46 abbaton NetworkManager[13572]: <info> Activation (eth1) Stage 2 of 5 (Device Configure) complete.
Jul 16 16:25:46 abbaton NetworkManager[13572]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:25:46 abbaton NetworkManager[13572]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:25:46 abbaton NetworkManager[13572]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:25:46 abbaton NetworkManager[13572]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:25:46 abbaton NetworkManager[13572]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:25:46 abbaton NetworkManager[13572]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:25:46 abbaton NetworkManager[13572]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:25:46 abbaton NetworkManager[13572]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:25:46 abbaton NetworkManager[13572]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:25:46 abbaton NetworkManager[13572]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:25:46 abbaton NetworkManager[13572]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:25:46 abbaton NetworkManager[13572]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:25:46 abbaton NetworkManager[13572]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:25:46 abbaton NetworkManager[13572]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:25:46 abbaton NetworkManager[13572]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:25:46 abbaton NetworkManager[13572]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:25:46 abbaton NetworkManager[13572]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:25:46 abbaton NetworkManager[13572]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:25:46 abbaton NetworkManager[13572]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:25:46 abbaton NetworkManager[13572]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:25:49 abbaton NetworkManager[13572]: <warn> No agents were available for this request.
Jul 16 16:25:49 abbaton NetworkManager[13572]: <info> (eth1): device state change: need-auth -> failed (reason 'no-secrets') [60 120 7]
Jul 16 16:25:49 abbaton NetworkManager[13572]: <warn> Activation (eth1) failed for access point (eduroam)
Jul 16 16:25:49 abbaton NetworkManager[13572]: <info> Marking connection 'eduroam' invalid.
Jul 16 16:25:49 abbaton NetworkManager[13572]: <warn> Activation (eth1) failed.
Jul 16 16:25:49 abbaton NetworkManager[13572]: <info> (eth1): device state change: failed -> disconnected (reason 'none') [120 30 0]
Jul 16 16:25:49 abbaton NetworkManager[13572]: <info> (eth1): deactivating device (reason: 0).
Jul 16 16:25:49 abbaton NetworkManager[13572]: <info> Policy set 'Auto eth0' (eth0) as default for IPv4 routing and DNS.
Comment 8 Lamarque V. Souza 2011-07-16 15:36:20 UTC
Plasma NM's main window indicates it is not detecting NM presence. Can you try 'rcnetwork stop' wait a couple of seconds and then 'rcnetwork start'?

Anyway, the connection eduroam appears to be corrupted. NM (not Plasma NM) is not able to detect its settings. Please attach the file /etc/NetworkManager/system-connections/eduroam.
Comment 9 Alin M Elena 2011-07-16 15:51:16 UTC
I did the rcnetwork stop some seconds start... still the red cross...

nm-tool is listing the correct things... 

unfortunately I was already playing... and suspecting a corrupted config deleted and recreated the connection for eduroam...

I got a nice segfault
Application: KDE Control Module (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f4d635ca760 (LWP 16238))]

Thread 2 (Thread 0x7f4d49e7a700 (LWP 16239)):
#0  0x00007f4d6218bb20 in QElapsedTimer::isMonotonic() () from /usr/lib64/libQtCore.so.4
#1  0x00007f4d6224d98d in ?? () from /usr/lib64/libQtCore.so.4
#2  0x00007f4d6224d9f1 in ?? () from /usr/lib64/libQtCore.so.4
#3  0x00007f4d6224c43c in ?? () from /usr/lib64/libQtCore.so.4
#4  0x00007f4d6224c4e5 in ?? () from /usr/lib64/libQtCore.so.4
#5  0x00007f4d5da1ae22 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#6  0x00007f4d5da1bc4d in ?? () from /usr/lib64/libglib-2.0.so.0
#7  0x00007f4d5da1c279 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#8  0x00007f4d6224cef6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#9  0x00007f4d62221452 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#10 0x00007f4d6222164f in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#11 0x00007f4d621390df in QThread::exec() () from /usr/lib64/libQtCore.so.4
#12 0x00007f4d6220451f in ?? () from /usr/lib64/libQtCore.so.4
#13 0x00007f4d6213bb25 in ?? () from /usr/lib64/libQtCore.so.4
#14 0x00007f4d54648bc3 in ?? () from /usr/lib64/libGL.so.1
#15 0x00007f4d61eabe55 in start_thread () from /lib64/libpthread.so.0
#16 0x00007f4d60c5186d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f4d635ca760 (LWP 16238)):
[KCrash Handler]
#6  0x00007f4d5efd2633 in QDBusAbstractInterface::asyncCallWithArgumentList(QString const&, QList<QVariant> const&) () from /usr/lib64/libQtDBus.so.4
#7  0x00007f4d4b5746b1 in Update (properties=..., this=0x0) at /usr/src/debug/networkmanagement-0.9.2.65git.1310495114/backends/NetworkManager/nm-settings-connectioninterface.h:63
#8  NMDBusSettingsConnectionProvider::onConnectionAddArrived (this=<optimized out>, watcher=0xffb440) at /usr/src/debug/networkmanagement-0.9.2.65git.1310495114/backends/NetworkManager/nmdbussettingsconnectionprovider.cpp:408
#9  0x00007f4d4b530b6c in NMDBusSettingsConnectionProvider::qt_metacall (this=0x9d4c70, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7ffff1ae6950) at /usr/src/debug/networkmanagement-0.9.2.65git.1310495114/build/backends/NetworkManager/moc_nmdbussettingsconnectionprovider.cpp:105
#10 0x00007f4d62234eda in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#11 0x00007f4d5effc8cf in QDBusPendingCallWatcher::finished(QDBusPendingCallWatcher*) () from /usr/lib64/libQtDBus.so.4
#12 0x00007f4d5effc959 in QDBusPendingCallWatcher::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libQtDBus.so.4
#13 0x00007f4d62238a8a in QObject::event(QEvent*) () from /usr/lib64/libQtCore.so.4
#14 0x00007f4d613da9e4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#15 0x00007f4d613df871 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#16 0x00007f4d62fb2966 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#17 0x00007f4d6222224c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#18 0x00007f4d62225628 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib64/libQtCore.so.4
#19 0x00007f4d6224ca33 in ?? () from /usr/lib64/libQtCore.so.4
#20 0x00007f4d5da1b8ad in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#21 0x00007f4d5da1c0a8 in ?? () from /usr/lib64/libglib-2.0.so.0
#22 0x00007f4d5da1c279 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#23 0x00007f4d6224ce8f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#24 0x00007f4d6147d61e in ?? () from /usr/lib64/libQtGui.so.4
#25 0x00007f4d62221452 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#26 0x00007f4d6222164f in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#27 0x00007f4d618892b6 in QDialog::exec() () from /usr/lib64/libQtGui.so.4
#28 0x00007f4d50b002dc in kdemain () from /usr/lib64/libkdeinit4_kcmshell4.so
#29 0x0000000000408837 in _start ()


in the log for nm
Jul 16 16:40:35 abbaton NetworkManager[15938]: failed to marshal parameter 1 for signal NewConnection
Jul 16 16:40:36 abbaton NetworkManager[15938]:    keyfile: updating /etc/NetworkManager/system-connections/eduroam
Jul 16 16:41:37  NetworkManager[15938]: last message repeated 57 times
Jul 16 16:42:38  NetworkManager[15938]: last message repeated 58 times
Jul 16 16:43:39  NetworkManager[15938]: last message repeated 57 times
Jul 16 16:44:40  NetworkManager[15938]: last message repeated 57 times
Jul 16 16:45:41  NetworkManager[15938]: last message repeated 57 times


then a new restart and trying to manually activate the connection

Jul 16 16:47:18 abbaton NetworkManager[17175]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:47:18 abbaton NetworkManager[17175]: failed to marshal parameter 1 for signal AccessPointAdded

then checked the new config created and seems to miss all the info about authentification
[root@abbaton:/home/alin]: cat /etc/NetworkManager/system-connections/eduroam 

[connection]
id=eduroam
uuid=89bb2523-8a4f-4081-af4a-24d7213e65d4
type=802-11-wireless
permissions=user:alin:;

[802-11-wireless]
ssid=eduroam
mode=infrastructure

[ipv6]
method=ignore
may-fail=true

[ipv4]
method=auto
[root@abbaton:/home/alin]:
I also checked and not certificate was created...

here is the nm-tool listing

[root@abbaton:/home/alin]: nm-tool 

NetworkManager Tool

State: connected (global)

- Device: eth1 -----------------------------------------------------------------
  Type:              802.11 WiFi
  Driver:            wl
  State:             disconnected
  Default:           no
  HW Address:        78:CA:39:BE:35:FE

  Capabilities:

  Wireless Properties
    WEP Encryption:  yes
    WPA Encryption:  yes
    WPA2 Encryption: yes

  Wireless Access Points 
    WaveLAN Network: Infra, 00:1A:E3:5D:AC:20, Freq 2462 MHz, Rate 0 Mb/s, Strength 34
    WaveLAN Network: Infra, 00:1A:E3:5D:A9:C0, Freq 2412 MHz, Rate 54 Mb/s, Strength 30
    WaveLAN Network: Infra, 00:24:F7:BC:5E:50, Freq 2437 MHz, Rate 54 Mb/s, Strength 44
    WaveLAN Network: Infra, 00:14:F2:14:43:E1, Freq 2462 MHz, Rate 54 Mb/s, Strength 49
    MolSim:          Infra, C4:3D:C7:A7:AA:4E, Freq 2412 MHz, Rate 0 Mb/s, Strength 27 WPA2
    TP-LINK_D3415E:  Infra, 00:1D:0F:D3:41:5E, Freq 2437 MHz, Rate 11 Mb/s, Strength 84 WPA2
    eduroam:         Infra, 00:1A:E3:5D:A9:C1, Freq 2412 MHz, Rate 0 Mb/s, Strength 34 WPA WPA2 Enterprise
    eduroam:         Infra, 00:24:F7:BC:5E:51, Freq 2437 MHz, Rate 54 Mb/s, Strength 42 WPA WPA2 Enterprise
    ACAM-CONF:       Infra, 00:14:F2:14:43:E0, Freq 2462 MHz, Rate 54 Mb/s, Strength 49 WPA WPA2
    eduroam:         Infra, 00:14:F2:14:43:E2, Freq 2462 MHz, Rate 0 Mb/s, Strength 50 WPA WPA2 Enterprise


- Device: eth0  [Auto eth0] ----------------------------------------------------
  Type:              Wired
  Driver:            tg3
  State:             connected
  Default:           yes
  HW Address:        C8:BC:C8:90:D4:9A

  Capabilities:
    Carrier Detect:  yes
    Speed:           100 Mb/s

  Wired Properties
    Carrier:         on
Comment 10 Alin M Elena 2011-07-16 16:00:15 UTC
as an irony... 

I open teh configs again and edited the broken eduroam setup... and it connected..

here is the one that connect...
[root@abbaton:/home/alin]: cat /etc/NetworkManager/system-connections/eduroam 

[ipv6]
method=ignore
may-fail=true

[connection]
id=eduroam
uuid=89bb2523-8a4f-4081-af4a-24d7213e65d4
type=802-11-wireless
permissions=user:alin:;

[802-11-wireless-security]
key-mgmt=wpa-eap

[802-11-wireless]
ssid=eduroam
mode=infrastructure
security=802-11-wireless-security

[802-1x]
eap=ttls;
identity=10263748@ucd.ie
ca-cert=/home/alin/.kde4/share/apps/networkmanagement/certificates/{cf611866-60de-4e0a-be28-74a42e69cc7e}
phase2-auth=pap
password-flags=1

[ipv4]
method=auto
[root@abbaton:/home/alin]:

braved myself and did a rcnetwork restart...
it did not connect... all I get was the strange window with no security for eduroam.... strange as the config seems to be the same...


[root@abbaton:/home/alin]: cat /etc/NetworkManager/system-connections/eduroam 

[ipv6]
method=ignore
may-fail=true

[connection]
id=eduroam
uuid=89bb2523-8a4f-4081-af4a-24d7213e65d4
type=802-11-wireless
permissions=user:alin:;

[802-11-wireless-security]
key-mgmt=wpa-eap

[802-11-wireless]
ssid=eduroam
mode=infrastructure
security=802-11-wireless-security

[802-1x]
eap=ttls;
identity=10263748@ucd.ie
ca-cert=/home/alin/.kde4/share/apps/networkmanagement/certificates/{cf611866-60de-4e0a-be28-74a42e69cc7e}
phase2-auth=pap
password-flags=1

[ipv4]
method=auto


here is the log info

Jul 16 16:57:15 abbaton NetworkManager[19580]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:57:15 abbaton NetworkManager[19580]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:57:15 abbaton NetworkManager[19580]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:57:15 abbaton NetworkManager[19580]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:57:15 abbaton NetworkManager[19580]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:57:15 abbaton NetworkManager[19580]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:57:15 abbaton NetworkManager[19580]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:57:15 abbaton NetworkManager[19580]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:57:15 abbaton NetworkManager[19580]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:57:15 abbaton NetworkManager[19580]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:57:15 abbaton NetworkManager[19580]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:57:15 abbaton NetworkManager[19580]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:57:15 abbaton NetworkManager[19580]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:57:15 abbaton NetworkManager[19580]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:57:15 abbaton NetworkManager[19580]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:57:15 abbaton NetworkManager[19580]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:57:15 abbaton NetworkManager[19580]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:57:15 abbaton NetworkManager[19580]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:57:15 abbaton NetworkManager[19580]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:57:15 abbaton NetworkManager[19580]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:57:15 abbaton NetworkManager[19580]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:57:15 abbaton NetworkManager[19580]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:57:15 abbaton NetworkManager[19580]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:57:15 abbaton NetworkManager[19580]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:57:15 abbaton NetworkManager[19580]: <info> Activation (eth1) starting connection 'eduroam'
Jul 16 16:57:15 abbaton NetworkManager[19580]: <info> (eth1): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Jul 16 16:57:15 abbaton NetworkManager[19580]: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) scheduled...
Jul 16 16:57:15 abbaton NetworkManager[19580]: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) started...
Jul 16 16:57:15 abbaton NetworkManager[19580]: <info> Activation (eth1) Stage 2 of 5 (Device Configure) scheduled...
Jul 16 16:57:15 abbaton NetworkManager[19580]: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) complete.
Jul 16 16:57:15 abbaton NetworkManager[19580]: <info> Activation (eth1) Stage 2 of 5 (Device Configure) starting...
Jul 16 16:57:15 abbaton NetworkManager[19580]: <info> (eth1): device state change: prepare -> config (reason 'none') [40 50 0]
Jul 16 16:57:15 abbaton NetworkManager[19580]: <info> Activation (eth1/wireless): access point 'eduroam' has security, but secrets are required.
Jul 16 16:57:15 abbaton NetworkManager[19580]: <info> (eth1): device state change: config -> need-auth (reason 'none') [50 60 0]
Jul 16 16:57:15 abbaton NetworkManager[19580]: <info> Activation (eth1) Stage 2 of 5 (Device Configure) complete.
Jul 16 16:59:15 abbaton NetworkManager[19580]: <warn> No agents were available for this request.
Jul 16 16:59:15 abbaton NetworkManager[19580]: <info> (eth1): device state change: need-auth -> failed (reason 'no-secrets') [60 120 7]
Jul 16 16:59:15 abbaton NetworkManager[19580]: <warn> Activation (eth1) failed for access point (eduroam)
Jul 16 16:59:15 abbaton NetworkManager[19580]: <info> Marking connection 'eduroam' invalid.
Jul 16 16:59:15 abbaton NetworkManager[19580]: <warn> Activation (eth1) failed.
Jul 16 16:59:15 abbaton NetworkManager[19580]: <info> (eth1): device state change: failed -> disconnected (reason 'none') [120 30 0]
Jul 16 16:59:15 abbaton NetworkManager[19580]: <info> (eth1): deactivating device (reason: 0).
Jul 16 16:59:15 abbaton NetworkManager[19580]: <info> Policy set 'Auto eth0' (eth0) as default for IPv4 routing and DNS.
Jul 16 16:59:15 abbaton NetworkManager[19580]: <info> Policy set 'Auto eth0' (eth0) as default for IPv4 routing and DNS.
Jul 16 16:59:45 abbaton NetworkManager[19580]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:59:45 abbaton NetworkManager[19580]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:59:45 abbaton NetworkManager[19580]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:59:45 abbaton NetworkManager[19580]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:59:45 abbaton NetworkManager[19580]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:59:45 abbaton NetworkManager[19580]: failed to marshal parameter 1 for signal AccessPointAdded
Jul 16 16:59:45 abbaton NetworkManager[19580]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 16 16:59:45 abbaton NetworkManager[19580]: failed to marshal parameter 1 for signal AccessPointAdded
Comment 11 Lamarque V. Souza 2011-07-16 16:18:51 UTC
(In reply to comment #9)
> I did the rcnetwork stop some seconds start... still the red cross...

So probably kded4 has crashed. Try calling it from command line:

kdeinit4_wrapper kded4

eduroam's configuration seems ok. The message 'failed to marshal parameter 1
for signal AccessPointAdded' maybe be a problem in NM, I am not sure.

The messages:
keyfile: updating
/etc/NetworkManager/system-connections/eduroam
Jul 16 16:41:37  NetworkManager[15938]: last message repeated 57 times
Jul 16 16:42:38  NetworkManager[15938]: last message repeated 58 times
Jul 16 16:43:39  NetworkManager[15938]: last message repeated 57 times
Jul 16 16:44:40  NetworkManager[15938]: last message repeated 57 times
Jul 16 16:45:41  NetworkManager[15938]: last message repeated 57 times

Indicates that the NM version you are using has a bug that endlessly send the Update signal, which probably is the cause of the crash in comment #9. That bug is already fixed in NM repositoy, but you need to use the git version since NM's developers have not issued a new release with the fix.
Comment 12 Alin M Elena 2011-07-16 20:27:11 UTC
I checked kded4 was running... The issue may be somewhere else as it seems I have problems connecting my mobilebroadband too... the plasmoid and the nm-kde seems to be totally upset on nm...
Comment 13 Lamarque V. Souza 2011-07-16 20:34:57 UTC
If kded4 is running then the networkmanagement module probably is not. When there is nothing at the left side of Plasma NM is because it could not read NM's network interface. That happens only when NM or the networkmanagement module are not running. networkmanagement is a kded module, it is not running when it is not loaded or when kded4 is not running.

Send me the output of the commands:

qdbus org.kde.kded /kded loadedModules | grep networkmanagement
qdbus org.kde.networkmanagement /org/kde/networkmanagement \
org.kde.networkmanagement.ListActivatables
Comment 14 Alin M Elena 2011-07-16 20:42:41 UTC
[alin@abbaton:~]: qdbus org.kde.kded /kded loadedModules | grep networkmanagement
networkmanagement
[alin@abbaton:~]: qdbus org.kde.networkmanagement /org/kde/networkmanagement org.kde.networkmanagement.ListActivatables
[alin@abbaton:~]:
Comment 15 Lamarque V. Souza 2011-07-16 21:36:52 UTC
Created attachment 61928 [details]
Reinit Solid's backend when NM restarts

When you logout and login then the network interfaces at Plasma NM's left side appear, right? If so then I think NM is not sending the DeviceAdded signal during "rcnetwork restart". Can you try the attached patch and see if it solves the NM's restart problem?
Comment 16 Lamarque V. Souza 2011-07-16 21:37:02 UTC
Git commit a37d11108e41d260e88410b178505c38cf5ac555 by Lamarque V. Souza.
Committed on 16/07/2011 at 23:32.
Pushed by lvsouza into branch 'nm09'.

Changes ManageConnectionWidget::restoreConnections() into a critical
session.

CCBUG: 277889

M  +9    -0    settings/config/manageconnectionwidget.cpp

http://commits.kde.org/networkmanagement/a37d11108e41d260e88410b178505c38cf5ac555
Comment 17 Alin M Elena 2011-07-16 21:41:01 UTC
you are right... when I start it looks good... goes mad only at rcnetwork restart.

is the patch in for nm or for the nm-kde components?

Alin
Comment 18 Lamarque V. Souza 2011-07-16 21:46:34 UTC
The patch is against Plasma NM. I think your first crash is also caused by the endlessly Update signal bug in NM. I think you should upgrade to the git version or downgrade to 0.8.999, which does not suffer from this problem.
Comment 19 Alin M Elena 2011-07-17 09:27:21 UTC
Hi Lamarque,

as I do not compile components one my computer, that is a slippery road on terms of my time, I am afraid I will have to wait until the factory and bleeding edge packages are updated...

Alin
Comment 20 Lamarque V. Souza 2011-07-17 14:38:39 UTC
So I think you should downgrade NetworkManager to version 0.8.999, that does not suffer from the Update problem.
Comment 21 Alin M Elena 2011-07-18 09:08:30 UTC
Hi Lamarque,


kind of half success... I updated to the new nm and pnm
I can connect to eduroam but not in a straightforward way... 
when teh computer starts it presents me with the window to connect to wireless with all the things filled but I click ok and waits for authorisation and in the end fails... but if I go to edit the connection (just click edit change nothing) then connects as a charm...

rcnetwork restart still leaves me with a red plsamoid... 
this needs a new bug but I will mention here... it may be related... if I plug an usb dongle it is not made available to nm... but after a rcnetwork restart it is made available... and if I do not have a pin even connects... otherwise awaits for some authorisation...
Comment 22 Lamarque V. Souza 2011-07-18 13:10:05 UTC
Which versions of NetworkManager and Plasma NM are you using now? Please attach the logs too. If you are still using NetworkManager 0.8.9997 that will not solve your problem.

Plasma NM nm09 has option to save the PIN, the default is 'not save', so unless you have changed that option you will have to type the PIN everytime you attach your modem to your computer. When you type the PIN NetworkManager will ask for your user password afterwards. Without that step NetworkManager will not be able to use the modem. I do not see any problem here, just type the PIN and when asked type your user password.
Comment 23 Raymond Wooninck 2011-07-20 08:03:05 UTC
As addition to what Alin already reported. I have attached the patch from comment #15 to the latest git of the PNM NM09 branch. Currently I have a git snapshot of NM 0.9 from last night and PNM from the NM09 branch with the same timestamp (with the patch). 

If I perform a rcnetwork restart while the plasma-desktop is active, then I get the following: 

1)	If I execute a "rcnetwork restart" or "rcnetwork stop && sleep 60 && rcnetwork start", PNM still remains in the network disabled state with the red cross icon. 

2) If I perform a stop and start of the two KDE services "Network Status" and "NetworkManager User Settings Service" (with systemsettings-> Startup and Shutdown -> Service Manager), then the possible connections (right side of the plasmoid) are appearing. Strangely enough the network devices (left side of the plasmoid) are not shown. Clicking on one of the possible connections, a connection attempt is started and the network device is connected. Despite a working network connection, the systray icon still remains as the red cross icon. 

At this moment only a plasma restart would resolve the issues with the plasmoid.

I am not sure if "rcnetwork restart" is valid for all distributions, but it doesn't do anything else then stopping the NetworkManager and starting it again.
Comment 24 Lamarque V. Souza 2011-07-20 12:21:12 UTC
What you described in comment #23 can be a problem in dbus communication, which also can explain the detecting 3G modem problem. Which dbus version are you using? I use dbus-1.4.12.
Comment 25 Raymond Wooninck 2011-07-20 12:23:31 UTC
openSUSE Factory is running with dbus v1.5.4. The issue with not detecting the USB modems, has been reported already and hopefully fixed soon. Let's see if this would also fix the issue with the plasmoid. 

Thanks
Comment 26 Lamarque V. Souza 2011-07-25 23:04:38 UTC
Git commit eb9a97abe1cb8dc848939514b5ead0be2a92cecc by Lamarque V. Souza.
Committed on 26/07/2011 at 00:59.
Pushed by lvsouza into branch 'nm09'.

Clear list before restoring connections.

CCBUG: 277889

M  +1    -10   settings/config/manageconnectionwidget.cpp

http://commits.kde.org/networkmanagement/eb9a97abe1cb8dc848939514b5ead0be2a92cecc
Comment 27 Lamarque V. Souza 2011-07-25 23:07:15 UTC
Git commit bb6e3b82dd23f05df8d875627622195e291b5a6d by Lamarque V. Souza.
Committed on 26/07/2011 at 01:06.
Pushed by lvsouza into branch 'master'.

Clear list before restoring connections.

CCBUG: 277889

M  +1    -0    settings/config/manageconnectionwidget.cpp

http://commits.kde.org/networkmanagement/bb6e3b82dd23f05df8d875627622195e291b5a6d
Comment 28 Nicolas L. 2011-07-26 23:35:26 UTC
*** Bug 278586 has been marked as a duplicate of this bug. ***
Comment 29 Balcaen John 2011-07-27 01:43:03 UTC
Created attachment 62225 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.7.00 (4.7.0) using Qt 4.7.3

- What I was doing when the application crashed:

I simply add a new wired connection & when i click on apply the Plasma NM connection editor crashed.
I'm using Nm 0.8.9997,the nm-09 branch of plasma-networkmanagement (the snapshot is from today last git snapshot is 72f48aff1a672af24f66c26dd83b3ac6ee87df5f )
dbus version is 1.4.12

-- Backtrace (Reduced):
#7  QDBusAbstractInterface::asyncCallWithArgumentList (this=0x0, method=..., args=...) at qdbusabstractinterface.cpp:469
#8  0x00007f725a96eb42 in Update (this=<value optimized out>, watcher=0x2a68560) at /usr/src/debug/networkmanagement/backends/NetworkManager/nm-settings-connectioninterface.h:63
#9  NMDBusSettingsConnectionProvider::onConnectionAddArrived (this=<value optimized out>, watcher=0x2a68560)
    at /usr/src/debug/networkmanagement/backends/NetworkManager/nmdbussettingsconnectionprovider.cpp:411
#10 0x00007f725a9309ac in NMDBusSettingsConnectionProvider::qt_metacall (this=0x27ce190, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff331fbc50)
    at /usr/src/debug/networkmanagement/build/backends/NetworkManager/moc_nmdbussettingsconnectionprovider.cpp:105
[...]
#12 0x00007f726d91fcef in QDBusPendingCallWatcher::finished (this=<value optimized out>, _t1=0x2a68560) at .moc/release-shared/moc_qdbuspendingcall.cpp:92
Comment 30 Balcaen John 2011-07-27 01:54:07 UTC
i've got the same crash when adding a vpn connection (with the openvpn plugin) or simply renaming an interface.
The configuration does not seems to be lost but we can't see the new connection via the pop up over the systray icon.
Comment 31 Lamarque V. Souza 2011-07-30 23:53:15 UTC
Git commit 27e5e8c7a6d664a91c403e0ebcb394d7297b5413 by Lamarque V. Souza.
Committed on 31/07/2011 at 01:45.
Pushed by lvsouza into branch 'nm09'.

Since NM guys are being too slow to fix this bug I am adding this hack until
they fix it for good. Please try and see if it does not bring new bugs.

CCBUG: 277889

M  +9    -4    backends/NetworkManager/nmdbussettingsconnectionprovider.cpp

http://commits.kde.org/networkmanagement/27e5e8c7a6d664a91c403e0ebcb394d7297b5413
Comment 32 Lamarque V. Souza 2011-07-31 00:24:26 UTC
Sorry, wrong bug. The last comment should have gone to bug #276486
Comment 33 Lamarque V. Souza 2011-08-03 17:08:26 UTC
Is this problem still happening? One of the Plasma NM developers have tested connecting to eduroam using WPA2-EAP-PEAP and WPA2-EAP-TTLS, it works. I think he uses Debian.
Comment 34 Alin M Elena 2011-08-03 17:34:47 UTC
Hi,

sorry holiday times... the bug is gone with the current trunk... 
I still have at each startup to hit ok... on the window with credentials but that I think is another bug.

Alin
Comment 35 Lamarque V. Souza 2011-08-03 17:57:50 UTC
(In reply to comment #34)
> Hi,
> 
> sorry holiday times... the bug is gone with the current trunk... 
> I still have at each startup to hit ok... on the window with credentials but
> that I think is another bug.
> 
> Alin

Is any of the passwords or encryption keys marked as "Always ask"? Even if the password is not required if you mark it as "Always ask" I think it will ask for it before connecting.
Comment 36 Alin M Elena 2011-08-03 18:07:10 UTC
marked as always ask where?
i have seen nothing like that neither in kwallet nor in plasmoid.. where should I look for.

Alin
Comment 37 Lamarque V. Souza 2011-08-03 19:05:09 UTC
In the connection edit dialog, passwords and encryption keys have a combobox beside then to indicate if the user wants to save the password/encryption key (in kwallet) or if Plasma NM should always ask for then when activating a connection. In WPA2 case, the TLS configuration has the "Private Key Password" entry with such a combobox. LEAP, PEAP and TTLS have the "Password" entry with such a combobox.
Comment 38 Alin M Elena 2011-08-03 20:52:32 UTC
Hi Lamarque,

something is rotten in the kingdom of denmark... I checked and seen no such option for saving or asking... for wireless... I added a screenshot...

however there is an option like that for mobilebroadband...

despite that... i think that everything relating to the wpa2 enterprise authentication is saved... retrieved... only likes me too much and wants an ok.

Alin
Comment 39 Alin M Elena 2011-08-03 20:53:44 UTC
Created attachment 62519 [details]
wpa2 screenshot
Comment 40 Lamarque V. Souza 2011-08-03 21:09:20 UTC
Oh, sorry, Ilia has changed the dialog today. Your screenshot shows the old dialog, you need to 'git pull' to get the updated source code. Anyway, the old behaviour was to always save secrets, which should not cause the problem you have. The today's update should not solve your problem, but you can try it.
Comment 41 Alin M Elena 2011-08-04 07:45:21 UTC
Hi Lamarque...

strangely enough after today's update things work as expected...
I will close the bug as fixed.

Alin
Comment 42 Lamarque V. Souza 2011-08-04 12:41:40 UTC
Ok, I will close this bug then.